From 8 or 9 to 10

Upgrading from WAsP 8

There is no need to remove WAsP 8 in order to install WAsP 10. We do recommend though that your WAsP 8 is updated to the latest available release.

Co-existence with version 8

WAsP 10 is designed to run alongside WAsP 8.x. You should be able to have WAsP 8 and 10 installed on the same machine, running independently of each other. No significant version 8 computational components are upgraded by installing version 10, so the performance and behavior of version 8 should remain the same.

Interoperability with version 8

Any files which you created in version 8 can be opened in version 10, though the calculation status of pre-calculated results may be changed to 'dirty'. If you have a WAsP 8.4 release, then you may open WAsP 10 workspaces in it - but we cannot guarantee. However, any new version 10-specific features will be lost.

Scripts

We've updated many of the scripts from WAsP 8 to WAsP 10. You may have a WAsP 8 script which you've customized and want to use in WAsP 10. We have included a script upgrade tool which will try to perform an automatic update. We can only guarantee this to work on scripts which don't use resource grids. We suggest that if the customization was minor, that you start from a version 10 script and apply the same customization again. If you have problems with this, please contact us for help.

Upgrading from WAsP 9

WAsP 9 and 10 cannot coexist on your PC. Therefore, you must un-install any WAsP 9 before running the WAsP 10 installation.

Interoperability with version 9

Any files which you created in version 9 can be opened in version 10, though the calculation status of pre-calculated results may be changed to 'dirty'. If you have a WAsP 9.1 release, then you may open WAsP 10 workspaces in it - but we cannot guarantee. However, any new version 10-specific features will be lost.

Scripts

Scripts are unchanged from WAsP 9 - so upgrading from WAsP 9 requires no scripts-updating.

Known issues

IE6 and Yahoo toolbar cause HTML report problems

If you have not allowed Windows to upgrade Internet Explorer from version 6, and have installed the Yahoo! toolbar, then you may sometimes experience problems when launching HTML reports. The window to display the reports will not display correctly. To work around this problem, make sure that you have Internet Explorer open before invoking a report.

A note from the software team

We hope you enjoy using WAsP 10, and that the new features make your life easier. The changes are mostly evolutionary: consolidating and extending the functionality of the previous release. We'd like to hear your views about how well they work and whether they match your needs, so please do send comments and suggestions. If there's something which you find irritating or frustrating, then don't hesitate to let us know: we may be able to make a slight change in an upcoming release which removes the problem. We want to let you concentrate on getting your job done, rather than struggling with our software.

There have been some persistent problems with the dongle-based licencing system over the last year or so. We have done a lot of work to try to address the problems, but we recognize that the dongles make extra work for you even if you haven't encountered a particular technical problem. We are hoping to design and implement a replacement system before too long, but in the meantime we beg your patience, and hope that this doesn't spoil your experience of WAsP.

https://www.wasp.dk/Download/WAsP10_From-8-or-9-to-10
30 MARCH 2020